Subject: bug#15037: Display can't be opened (display newer than emacs session)

From: Jan Djärv <[email-masked]>
Date: Wed, 7 Aug 2013 10:32:47 +0200

Hello.

6 aug 2013 kl. 22:52 skrev "Sewall, Jason" <[email-masked]>:

> I have a long-running emacs session with a server running on it (24.2.1, on Fedora 18). I have started up a new VNC session on the host, creating DISPLAY :1.0, but emacs refuses to let me create a frame on it: 
> 
> M-x make-frame-on-display <RET> :1.0 <RET>
> Display :1.0 can't be opened
> 
> If I start a new emacs session with emacs (with -Q or not) and run the above, the frame is created.
> 
> I am not an expert in emacs frame handling nor in X, but it seems like emacs is reading the available displays when it starts up and refuses to connect to anything that started up after it. I'm happy to provide more info as needed. 

That is not what Emacs does.  "Reading available displays" is not possible.  Emacs just tries to connect when you do open display.
Did you kill the old server and start a new server in the same shell as you started the first?  My guess is that you did not, and so the second server either gets the correct authentication and thus can connect.

To really see what is going on you would need to debug Emacs with gdb when the make-frame-on-display fails.

	Jan D.